Get release attachment

Gets release attachment details and an unauthenticated presigned download URL that is valid for approximately one
minute; start the download immediately after the call. attachment_id must be ReleaseAsset.attachment.id, not
ReleaseAsset.id, and the release asset must be backed by an attachment.

Request

GET

https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/releases/tag/{release_tag}/attachments/{attachment_id}

Path parameters

Name

Description

attachment_id

Type: string

Example: ``

org_slug

Type: string

Example: ``

release_tag

Type: string

Example: ``

repo_slug

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "id": "example",
  "name": "example",
  "mime_type": "example",
  "file_type": "image",
  "size": "example",
  "url": "example"
}

Name

Description

file_type

Type: FileType

Enum: image, document, video, container

id

Type: string

Example: example

mime_type

Type: string

Example: example

name

Type: string

Example: example

size

Type: string<int64>

Example: example

url

Type: string

Example: example

FileType

Type: string

Enum: image, document, video, container

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}

Name

Description

details

Type: unknown

Example: null

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

Следующая